be.ehealth.businessconnector.genericasync.domain

## Class GenericAsyncConstants

- java.lang.Object
- - be.ehealth.businessconnector.genericasync.domain.GenericAsyncConstants

-     public final class GenericAsyncConstants
      extends Object

  contains constants for generic async system.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIRM_SOAP_ACTION` String representing a Confirm operation.
    `static String` | `GET_SOAP_ACTION` String representing a Get operation.
    `static String` | `POST_SOAP_ACTION` String representing a Post operation.
    `static String` | `TACK_FAILURE` String representing a TACK failure.
    `static String` | `TACK_SUCCES` String representing a TACK success.
    `static List<String>` | `XSD_V1_SERVICES` List of services complying with xsd v1
    `static List<String>` | `XSD_V5_SERVICES` List of services complying with xsd v1

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TACK_SUCCES

          public static final String TACK_SUCCES

      String representing a TACK success.
      See Also:
        Constant Field Values

    - #### TACK_FAILURE

          public static final String TACK_FAILURE

      String representing a TACK failure.
      See Also:
        Constant Field Values

    - #### CONFIRM_SOAP_ACTION

          public static final String CONFIRM_SOAP_ACTION

      String representing a Confirm operation.
      See Also:
        Constant Field Values

    - #### GET_SOAP_ACTION

          public static final String GET_SOAP_ACTION

      String representing a Get operation.
      See Also:
        Constant Field Values

    - #### POST_SOAP_ACTION

          public static final String POST_SOAP_ACTION

      String representing a Post operation.
      See Also:
        Constant Field Values

    - #### XSD_V1_SERVICES

          public static final List<String> XSD_V1_SERVICES

      List of services complying with xsd v1

    - #### XSD_V5_SERVICES

          public static final List<String> XSD_V5_SERVICES

      List of services complying with xsd v1

Connector Packaging PERSLOGOPEDIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.